<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">

</head>

<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Header start  -->
<header class="header">
    <div class="container d-flex align-items-center">
        <a class="logo" href="/">
            <img src="images/VP.png" alt="">
        </a>
        <nav class="primary-menu text-md-right">
            <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
            <ul>
                <li><a href="/">Home</a></li>
                <li><a href="/send-money-process">Send Money</a></li>
                <li><a href="/about">About</a></li>
                <li><a href="/contact">Contact</a></li>
                <li class="has-menu-child pro-menu-drop">
                    <a href="#">
                        <div class="header-pro-thumb">
                            <img class="rounded-circle" th:unless="${user.picture==null}"
                                 th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                            <img class="rounded-circle" th:if="${user.picture==null}"
                                 src="images/profile-img.jpeg" alt="">
                        </div>
                        <div th:text="${user.username}"></div>
                        <i class="fas fa-chevron-down"></i>
                    </a>
                    <ul class="dropdown-menu-md sub-menu profile-drop">

                        <li class="nav__create-new-profile-link">
                            <a href="profile.html">
                                <span>View personal profile</span>
                            </a>
                        </li>
                        <li class="divider"></li>

                        <li class="nav__dropdown-menu-items">
                            <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                    </ul>
                </li>
            </ul>
        </nav>
    </div>
</header>
<!-- Header end -->

<!-- Admin Hero section-->
<div class="hero-section">
</div>
<!-- Admin End of Hero section-->

<!-- Content -->
<div id="content" class="py-4">
    <div class="container">
        <div class="row">

            <!-- Left sidebar -->
            <aside class="col-lg-3 sidebar">
                <div class="widget admin-widget p-0">
                    <div class="Profile-menu">
                        <ul class="nav secondary-nav">
                            <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                    class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                            <li class="nav-item"><a class="nav-link" href="/profile"><i class="fab fa-autoprefixer"></i>
                                My Profile</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                    class="fab fa-autoprefixer"></i> All users</a></li>
                            <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                    class="fas fa-university"></i> Wallets & Cards</a></li>
                            <li class="nav-item"><a class="nav-link" href="/deposit-money"><i class="fas fa-plus"></i>
                                Deposit Money to wallet</a></li>
                            <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                    class="far fa-paper-plane"></i> Send Money to friend</a></li>
                            <li class="nav-item"><a class="nav-link" href="/transactions"><i class="fas fa-list-ul"></i>
                                My Transactions</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                     href="/all-transactions"><i
                                    class="fas fa-list-ul"></i> All Transactions</a></li>
                        </ul>
                    </div>
                </div>

            </aside>
            <!-- Left Panel End -->

            <div class="col-lg-9">

                <div class="profile-content">
                    <h3 class="admin-heading">Deposit Money</h3>
                    <ul class="nav nav-pills">
                        <li class="nav-item">
                            <a class="nav-link active" href="/deposit-money">Deposit</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/deposit-money-confirm">Confirm</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/deposit-money-success">Success</a>
                        </li>
                    </ul>
                    <div class="tab-content" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-profile" role="tabpanel"
                             aria-labelledby="pills-profile-tab">
                            <form th:action="@{/deposit-money-confirm}" th:object="${topUpDto}" method = "get"
                                  id="deposit-send-money" class="form bg-offwhite">
                                <div class="form-group">
                                    <label for="deposit-money">Amount</label>
                                    <div class="input-group">
                                        <div class="input-group-prepend"><span
                                                class="input-group-text currency-icon">$</span>
                                        </div>
                                        <input type="text" th:field="${topUpDto.amount}" class="form-control"
                                               data-deposit="deposit-money" id="deposit-money" placeholder="Amount of money: 1000"
                                               pattern="^\d{1,7}(\.\d{0,2})?$"
                                               title="This must be a number with up to 2 decimal places"
                                               required>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="payment-method">Choose your card</label>
                                    <select th:field="${topUpDto.cardId}"
                                            id="payment-method" class="custom-select" required="">
                                        <option th:each="card : ${cards}"
                                                th:value="${card.id}"
                                                th:text="${card.number}">
                                        </option>
                                    </select>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <p class="text-left"><b>Transactions fees </b></p>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="text-right">
                                            <span class="bg-success free-charge">Free</span>
                                            <del>1.00 USD</del>
                                        </div>
                                    </div>
                                </div>
<!--                                <hr>-->
<!--                                <div class="row">-->
<!--                                    <div class="col-md-6">-->
<!--                                        <p class="text-left"><b>You'll deposit</b></p>-->
<!--                                    </div>-->
<!--                                    <div class="col-md-6">-->
<!--                                        <span class="float-right">1,000.00 USD</span>-->
<!--                                    </div>-->
<!--                                </div>-->
                                <ul class="pager mt-4">
<!--                                    <li>&nbsp;</li>-->
                                    <li>
                                        <button type="submit" class="btn btn-default mr-0" value="Next">
                                            <span class="bh"></span>
                                            <span>Next</span>
                                            <i class="fas fa-chevron-right"></i>
                                        </button>
<!--                                    </li>-->
                                </ul>
                            </form>
                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- Content end -->

<!-- Footer strat -->
<footer class="footer">
    <div class="foo-btm">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="foo-navigation">
                        <ul>
                            <li><a href="#">Terms and Conditions</a></li>
                            <li><a href="#">Privacy & Policy</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="copyright">Copyright &copy; <a></a>2020</div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Script -->
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>
<script src="js/custom.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>
<script src="js/scripts.js"></script>
</body>

</html>